• Post Reply Bookmark Topic Watch Topic
  • New Topic
programming forums Java Mobile Certification Databases Caching Books Engineering Micro Controllers OS Languages Paradigms IDEs Build Tools Frameworks Application Servers Open Source This Site Careers Other all forums
this forum made possible by our volunteer staff, including ...
Marshals:
  • Campbell Ritchie
  • Liutauras Vilda
  • Tim Cooke
  • Jeanne Boyarsky
  • Bear Bibeault
Sheriffs:
  • Knute Snortum
  • paul wheaton
  • Devaka Cooray
Saloon Keepers:
  • Tim Moores
  • Stephan van Hulst
  • Ron McLeod
  • Piet Souris
  • Ganesh Patekar
Bartenders:
  • Tim Holloway
  • Carey Brown
  • salvin francis

netbeans6.5 -java 5 installation

 
Ranch Hand
Posts: 86
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
hi ,

I have jdk 5 and netbeans .exe file for installation .
But netbeans is throwing some error as JDK 6 or JDK 5 is required for installing the NetBeans IDE. Make sure that the JDK is properly installed and run the installer again

please help me how to install with java 5 .

regards,
karim.
 
Java Cowboy
Posts: 16084
88
Android Scala IntelliJ IDE Spring Java
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Are you sure you have JDK 5 installed properly? When you type "java -version" in a command prompt window, what do you get - does it say you're using Java 5, or some older version?
 
Ranch Hand
Posts: 959
Eclipse IDE Java Linux
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
If you're sure that you've installed JDK 5 or 6, you can edit the etc/netbeans.conf

 
karimkhan pathan
Ranch Hand
Posts: 86
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Thanks for replies ...

Already I have JDK 5 in my system .I works fine with Ecllipse .

I'm Having the .exe file of netbeans6.5 .when i try to install by double clicking it .

When serached netbeans.conf i could not find one.

when i checked for the version of java from Command Prompt this is the output :
java version "1.5.0_06"
Java(TM) 2 Runtime Environment, Standard Edition (build 1.5.0_06-b05)
Java HotSpot(TM) Client VM (build 1.5.0_06-b05, mixed mode, sharing)


I'm using windows vista OS .

regards,
karim.
 
Freddy Wong
Ranch Hand
Posts: 959
Eclipse IDE Java Linux
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
How is it possible that you don't have netbeans.conf? It's in the <netbeans_directory>/etc/netbeans.conf. If you really can't find it, maybe you need to do a clean install.
 
karimkhan pathan
Ranch Hand
Posts: 86
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Thanks a lot .

Netbeans need update 16 or newer of JDK 5 for installation .

Regards,
Karim.
 
Jesper de Jong
Java Cowboy
Posts: 16084
88
Android Scala IntelliJ IDE Spring Java
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Aha, thanks for letting us know what the cause of the problem is; that will be useful for when someone else has the same problem in the future.
 
He's my best friend. Not yours. Mine. You can have this tiny ad:
professionally read, modify and write PDF files from Java
https://products.aspose.com/pdf/java
  • Post Reply Bookmark Topic Watch Topic
  • New Topic
Boost this thread!